I can no longer get Angry birds games to work. Message says open GL 1.4, 2.0 not supported. What can I do?

Angry games worked on Windows 7 before.  However it fails to open after installation, with the messages that Open GL 1.4, 2.0 not supported.
 

Question Info


Last updated September 16, 2013 Views 143 Applies to:
Answer
Answer

You should update your graphic card driver (if you don't know how to download them, give us your video card model name). NVIDIA has already produced the drivers compatible with windows 8 while ATI/AMD produced only a few drivers that designed for Windows 8, although often the Old Ati drivers may be compatible with Windows 8 (but they need a trick to install).

Hope this helps.

Windows7RULES.

Intel Core 2 Quad 2.33 Ghz, NVIDIA Geforce 9800 GT da 1GB, 4 GB RAM, 1500 GB HD, Windows 7 Home x64

Did this solve your problem?

Sorry this didn't help.

Great! Thanks for marking this as the answer.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this response?

Thanks for your feedback.